## org.apache.taglibs.standard.tag.el.fmt
Class FormatNumberTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
                  org.apache.taglibs.standard.tag.el.fmt.FormatNumberTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class FormatNumberTag

extends FormatNumberSupport

A handler for <formatNumber> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
`currencyCode, currencySymbol, groupingUsedSpecified, isGroupingUsed, maxFractionDigits, maxFractionDigitsSpecified, maxIntegerDigits, maxIntegerDigitsSpecified, minFractionDigits, minFractionDigitsSpecified, minIntegerDigits, minIntegerDigitsSpecified, pattern, type, value, valueSpecified`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatNumberTag()` Constructs a new FormatNumberTag.

Method Summary
`int` `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` `release()` Release state.
`void` `setCurrencyCode(String currencyCode_)`
`void` `setCurrencySymbol(String currencySymbol_)`
`void` `setGroupingUsed(String groupingUsed_)`
`void` `setMaxFractionDigits(String maxFractionDigits_)`
`void` `setMaxIntegerDigits(String maxIntegerDigits_)`
`void` `setMinFractionDigits(String minFractionDigits_)`
`void` `setMinIntegerDigits(String minIntegerDigits_)`
`void` `setPattern(String pattern_)`
`void` `setType(String type_)`
`void` `setValue(String value_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
`doEndTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### FormatNumberTag

    public FormatNumberTag()

  Constructs a new FormatNumberTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `FormatNumberSupport`
  See Also:
    `Tag.release()`

### setValue

    public void setValue(String value_)

### setType

    public void setType(String type_)

### setPattern

    public void setPattern(String pattern_)

### setCurrencyCode

    public void setCurrencyCode(String currencyCode_)

### setCurrencySymbol

    public void setCurrencySymbol(String currencySymbol_)

### setGroupingUsed

    public void setGroupingUsed(String groupingUsed_)

### setMaxIntegerDigits

    public void setMaxIntegerDigits(String maxIntegerDigits_)

### setMinIntegerDigits

    public void setMinIntegerDigits(String minIntegerDigits_)

### setMaxFractionDigits

    public void setMaxFractionDigits(String maxFractionDigits_)

### setMinFractionDigits

    public void setMinFractionDigits(String minFractionDigits_)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.